#include<iostream>
#include<vector>
#include"redica.h"
using namespace std;
vector<int> ans;
void solve(int N, int K, int S)
{
    if(S == N*K)
    {
        for(int i = 0; i < N; i++)
        {
            ans.push_back(K);
        }
        submit(ans);
    }
    int sum = 0;
    for(int i = 0; i < N-1; i++)
    {
        ans.push_back(query());
        sum+=ans.back();
    }
    ans.push_back(S-sum);
    submit(ans);
}